## atitvout-0.4.tar.bz2

=== Makefile ===
VERSION=0.4
CFLAGS=-Wall -O2 -g -DVERSION=\"$(VERSION)\" -I./lrmi-0.6
OBJS=atitvout.o ati.o vbeinfo.o vbecall.o mach64.o radeon.o
TAR=atitvout-$(VERSION).tar.gz
BINARY=atitvout
PACKAGE=atitvout
PREFIX=/usr/local

all: $(BINARY)

$(BINARY): $(OBJS)
	make -C lrmi-0.6
	$(CC) $(OBJS) lrmi-0.6/liblrmi.a -o $(BINARY)

strip: $(BINARY)
	@du -h $(BINARY)
	strip -s $(BINARY)
	@du -h $(BINARY)

clean:
	rm -f *.o $(BINARY) *~ README index.html *.tar.gz test.out
	make -C lrmi-0.6 clean

install: strip
	install -g root -o root -m 555 $(BINARY) $(DESTDIR)$(PREFIX)/sbin

deinstall:
	rm -f /usr/local/sbin/$(BINARY)

README: README.in
	sed s/VERSION/$(VERSION)/ < README.in > README

index.html: README
	txt2html -t "$(PACKAGE) $(VERSION)" < README > index.html

html: index.html

$(TAR): clean README
	tar -C.. --exclude=$(PACKAGE)/$(TAR) -czvf $(TAR) $(PACKAGE)

tar: $(TAR)

web: $(TAR) README
	cp README $(TAR) ../../homepage/lennart/projects/$(PACKAGE)/ && $(MAKE) -C ../../homepage/lennart/projects/$(PACKAGE)

upload: web
	$(MAKE) -C ../../homepage/lennart upload

emacs:
	emacs Makefile README.in *.h *.c &

test: $(BINARY)
	./test.sh

.PHONY: test emacs upload web tar html deinstall install clean strip all

=== debian/changelog ===
atitvout (0.4-7) unstable; urgency=low

  * Actually add the watch file...

 -- Francois Marier <francois@debian.org>  Tue, 11 Jul 2006 12:05:09 -0400

atitvout (0.4-6) unstable; urgency=low

  * Bump Standards-Version up to 3.7.2 (no changes)
  * Add watch file

 -- Francois Marier <francois@debian.org>  Mon, 10 Jul 2006 23:28:20 -0400

atitvout (0.4-5) unstable; urgency=low

  * Adopting this package (closes: #364342)
  * Update FSF address
  * Update upstream website

 -- Francois Marier <francois@debian.org>  Tue, 25 Apr 2006 17:27:09 -0400

atitvout (0.4-4) unstable; urgency=low

  * Orphaning this package.
  * Updating standards version to 3.6.2.
  * Updating to debhelper 4 compatibility.

 -- Ola Lundqvist <opal@debian.org>  Sat, 22 Apr 2006 23:05:26 +0200

atitvout (0.4-3) unstable; urgency=low

  * Fixed test.sh so it have correct atitvout location, closes: #189486.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Sep 2004 09:28:00 +0200

atitvout (0.4-2) unstable; urgency=low

  * Added some more documentation to the package, closes: #176440.
  * Changed the standards version from 2.5.2 to 3.5.8 (no other
    changes).

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Jan 2003 19:36:58 +0100

atitvout (0.4-1) unstable; urgency=low

  * New upstream version.
  * The code is (according to upstream homepage) x86 specific so
    it should only be built on that arch, closes: #162930.

 -- Ola Lundqvist <opal@debian.org>  Tue,  1 Oct 2002 07:49:27 +0200

atitvout (0.2b-1) unstable; urgency=low

  * Initial release, closes: #162764.

 -- Ola Lundqvist <opal@debian.org>  Mon,  9 Sep 2002 19:38:26 +0200

=== debian/control ===
Source: atitvout
Section: misc
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.7.2

Package: atitvout
Architecture: i386 ia64
Depends: ${shlibs:Depends}
Description: ATI TV Out Support Program
 This utility program may be used for executing several configuration
 commands for the TV Out connector of ATI Rage Mobility P/M graphics
 boards under GNU/Linux on i386. Primarily it is intended to enable TV
 Out support after bootup and for switching the used TV standard from
 NTSC to PAL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

export DDATE=`date`

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) README
	pod2man --section=1 \
		--release="ATITVout " \
		--date="$(DDATE)" \
		debian/atitvout.pod > debian/atitvout.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/atitvout.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/atitvout PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
